// Programmed using the knockoff Pro Micro boards - use Arduino/Genuino Micro as board type
// Watch out - your board's name might change and you'll have to seelct it again in Tools/Port 
// after you program it the first time

// Code to test the voltage levels being seen at the pins of the arduino
// from the voltage divider circuit
void setup() {
  // put your setup code here, to run once:
  pinMode(A0,INPUT_PULLUP);  // Use an internal pullup resistor so 
  pinMode(A1,INPUT_PULLUP);  // that when nothing is connected it
  pinMode(A2,INPUT_PULLUP);  // reads a value close to maximum
  pinMode(A3,INPUT_PULLUP);
}

void loop() {
  // put your main code here, to run repeatedly:
  Serial.println(analogRead(A0)); // Print the output value for A0
  delay(500); // Wait 0.5s so we don't overlaod the serial bus with readings
}

// The voltage divider should give you values close to those below 
// when connecting Pin A0 individually to each output pin 
// without connecting anything else on your breadboard

// 14 - Ground
// MP 59
// 105 - P1
// MP 147
// 188 - P2
// MP 226
// 265 - P3
// MP 301
// 337 - P4
// MP 371
// 405 - P5
// MP 437
// 470 - P6
// MP 501
// 533 - P7
// MP 563
// 594 - P8
// MP 624
// 654 - P9
// MP 683
// 713 - P10
// MP 743
// 773 - P11
// MP 803
// 833 - P12
// MP 895
// 958 - P13
// MP 989
// 1021 - Unconnected, but Pulled up to 5V due to INTERNAL PULLUP
